package com.brilliance.isc.funds.fxtlop.service.impl;

import com.brilliance.isc.funds.bo.funds.FxtlopStoreBo;
import com.brilliance.isc.funds.fxtlop.service.FxtlopService;
import com.brilliance.mda.runtime.mda.util.Dates;
import com.brilliance.mda.runtime.mda.util.MdaUtils;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.slf4j.Logger;

@Service
public class FxtlopServiceImpl implements FxtlopService {
    private static final Logger logger = LoggerFactory.getLogger(FxtlopServiceImpl.class);

    @Override
    public void initFxtlop(FxtlopStoreBo fxtlopStoreBo) {
        initFxtlop950(fxtlopStoreBo);
        initFxtlop1000(fxtlopStoreBo);
    }

    private void initFxtlop950(FxtlopStoreBo fxtlopStoreBo) {
        //this.getTrnmod().troLockExistingOrNewContract ( this.getFxdgrp());
        // if DISSEL is empty, a contract can be copied
//        if( Dynamic.troIsObjTypLoaded( this.getFxdgrp()) )
//        {
//            this.getFxtp().getRecget().setDissel( "X");
//        }
//        else
//        {
//            this.getFxtp().getRecget().setDissel( "");
//        }
    }

    private void initFxtlop1000(FxtlopStoreBo fxtlopStoreBo) {
//        this.getFxtp().setPansta( PanStaEdit);
//        this.getFxtp().getAplp().setPansta( PanStaEdit);
//        Systems.resetVisible(this.getFxtp(),"ovwp");
//        Systems.setActivePanel(this.getRegp());
//        this.getFxdgrp().getCbs().getNom1().setCur( Dynamic.sysiso());
//        Systems.resetEnabled(this.getFxdgrp().getCbs().getNom1(),"cur");
//        Systems.setValues(this.getFxdgrp().getRec(),"fxtyp","LB" + CR + "LS");
    }

    @Override
    public void defaultFxtlop(FxtlopStoreBo fxtlopStoreBo) {
        // 成交日
        if( MdaUtils.isEmpty(fxtlopStoreBo.getFxdgrp().getRec().getOpndat()) || (!fxtlopStoreBo.getFxdgrp().getRec().isModified("opndat")) )
        {
            fxtlopStoreBo.getFxdgrp().getRec().setOpndat(  Dates.today());
            fxtlopStoreBo.getFxdgrp().getRec().resetModified("opndat");
        }
        //  起息日
        if( !fxtlopStoreBo.getFxdgrp().getRec().isModified("valdat") )
        {
            fxtlopStoreBo.getFxdgrp().getRec().setValdat(  fxtlopStoreBo.getFxdgrp().getRec().getOpndat());
        }
    }



}
