package com.brilliance.isc.funds.fxtsss.resource;

import com.brilliance.isc.common.transaction.controller.AbstractTransactionController;
import com.brilliance.isc.funds.transfer.transaction.FxtsssStructMapper;
import com.brilliance.isc.funds.vo.funds.FxtsssStoreVo;
import com.brilliance.isc.transfer.IStructMapper;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @program: isc-funds
 * @ClassName: FxtsssResource
 * @description: 即期售汇 Fxtsss 请求入口
 * @author: huangshunlin
 * @create: 2024-10-08 15:34
 */
@RestController
@RequestMapping("/fxtsss")
@Api("即期售汇")
public class FxtsssResource extends AbstractTransactionController<FxtsssStoreVo> {

    @Resource
    private FxtsssStructMapper fxtsssStructMapper;

    public IStructMapper getStructMapper() {
        return fxtsssStructMapper;
    }


}
