package com.brilliance.isc.funds.fxtlop.resource;

import com.brilliance.isc.common.transaction.controller.AbstractTransactionController;
import com.brilliance.isc.funds.transfer.transaction.FxtlopStructMapper;
import com.brilliance.isc.funds.vo.funds.FxtlopStoreVo;
import com.brilliance.isc.transfer.IStructMapper;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @program: isc-funds
 * @ClassName: FxtlopResource
 * @description: 结售汇平盘登记 Fxtlop 请求入口
 * @author: wangweidong
 * @create: 2024-10-08 16:34
 */
@RestController
@RequestMapping("/fxtlop")
@Api("结售汇平盘登记")
public class FxtlopResource extends AbstractTransactionController<FxtlopStoreVo> {

    @Resource
    private FxtlopStructMapper fxtlopStructMapper;

    public IStructMapper getStructMapper() {
        return fxtlopStructMapper;
    }




}
